# Building AI Applications

Llama Stack provides all the building blocks needed to create sophisticated AI applications.

The best way to get started is to look at this notebook which walks through the various APIs (from basic inference, to RAG agents) and how to use them.

**Notebook**: [Building AI Applications](https://github.com/meta-llama/llama-stack/blob/main/docs/notebooks/Llama_Stack_Benchmark_Evals.ipynb)

Here are some key topics that will help you build effective agents:

- **[Agent Execution Loop](agent_execution_loop)**
- **[RAG](rag)**
- **[Safety](safety)**
- **[Tools](tools)**
- **[Telemetry](telemetry)**
- **[Evals](evals)**


```{toctree}
:hidden:
:maxdepth: 1

agent_execution_loop
rag
safety
tools
telemetry
evals
```
